package com.friday.tooldriver.mapper.taieoc;

import com.friday.tooldriver.dto.common.PackageSelectFilter;
import com.friday.tooldriver.po.taieoc.CodePackagePo;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ProgramCodePackageMapper {
    void insertPackage(CodePackagePo code);
    List<CodePackagePo> selectPackages(PackageSelectFilter filter);
    CodePackagePo selectPackageByKey(Integer ocTenantKey, String packageName, String version);
    CodePackagePo selectLatestValidPackage(Integer ocTenantKey, String packageName);
    void deletePackageByKey(Integer ocTenantKey, String packageName, String version);
}
